{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.crl.eye_movement": {
      "states": {
        "default": {
          "animations": ["move_eyes"],
          "transitions": [
            { "blink_short": "Math.random_integer(1,140)==1" },
            { "blink_long": "Math.random_integer(1,400)==1" },
            { "sleep": "query.is_sleeping" }
          ]
        },
        "blink_short": {
          "animations": ["blink", "move_eyes"],
          "transitions": [{ "default": "query.all_animations_finished" }]
        },
        "blink_long": {
          "animations": ["blink_long", "move_eyes"],
          "transitions": [{ "default": "query.all_animations_finished" }]
        },
        "sleep": {
          "animations": ["sleep_eyes"],
          "transitions": [{ "default": "!query.is_sleeping" }],
          "blend_transition": 0.1
        }
      }
    },
    "controller.animation.crl.eye_movement.only_blinking": {
      "states": {
        "default": {
          "transitions": [
            { "blink_short": "Math.random_integer(1,140)==1" },
            { "blink_long": "Math.random_integer(1,400)==1" },
            { "sleep": "query.is_sleeping" }
          ]
        },
        "blink_short": {
          "animations": ["blink"],
          "transitions": [{ "default": "query.all_animations_finished" }]
        },
        "blink_long": {
          "animations": ["blink_long"],
          "transitions": [{ "default": "query.all_animations_finished" }]
        },
        "sleep": {
          "animations": ["sleep_eyes"],
          "transitions": [{ "default": "!query.is_sleeping" }],
          "blend_transition": 0.1
        }
      }
    },
    "controller.animation.crl.eyebrow_movement": {
      "states": {
        "default": {
          "animations": ["move_eyebrows"],
          "transitions": [
            {
              "angry": "query.is_angry || ((v.emotion ?? 0) == 1) || query.has_target"
            },
            {
              "scared": "v.last_hurt_time < 10 || ((v.emotion ?? 0) == 2) || q.is_avoiding_mobs"
            }
          ],
          "blend_transition": 0.1
        },
        "scared": {
          "animations": [
            {
              "scared_eyebrows": "((v.emotion ?? 0) == 2) || (q.is_avoiding_mobs) ? 1 : 1-(v.last_hurt_time / 10)"
            }
          ],
          "transitions": [
            {
              "default": "v.last_hurt_time >= 10 && !((v.emotion ?? 0) == 2) && !q.is_avoiding_mobs"
            },
            {
              "angry": "query.is_angry || ((v.emotion ?? 0) == 1)  || query.has_target"
            }
          ],
          "blend_transition": 0.1
        },
        "angry": {
          "animations": ["angry_eyebrows"],
          "transitions": [
            {
              "default": "!query.is_angry && !((v.emotion ?? 0) == 1) && !q.has_target"
            }
          ],
          "blend_transition": 0.1
        }
      }
    }
  }
}
